%define name gnome-print
%define major 15
%define prefix %{_prefix}
%define sysconfdir %{_sysconfdir}
%define localstatedir %{_localstatedir}/lib

Summary: Printing libraries for GNOME.
Name: %{name}
Version: 0.35
Release: 2mdk
License: LGPL
Group: System/Libraries
BuildRequires: gdk-pixbuf-devel gnome-libs-devel libxml-devel freetype2-devel
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-print/%{name}-%{version}.tar.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq:	urw-fonts
PreReq:	ghostscript-fonts
# patch ot allow installing po files in buildroot directory -- pablo
Patch1: gnome-print-0.35-pobug.patch.bz2

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME is based completely on free software. The gnome-print package
contains libraries and fonts that are needed by GNOME applications wanting to
print.

You should install the gnome-print package if you intend on using any of the
GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print devel
package.

# -- Lib Package --
%package -n libgnomeprint%{major}
Summary:        Libraries for Gnome-Print
Group:          System/Libraries
Requires:		%{name} >= %{version}
%description -n libgnomeprint%{major}
This package provides libraries to use Gnome-Print.


# -- Devel Package --
%package -n libgnomeprint%{major}-devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/C
Requires: %{name} = %{version}
Requires: libgnomeprint%{major} = %{version}
Provides: %{name}-devel
Provides: libgnomeprint-devel
Obsoletes: %{name}-devel
Requires: gnome-libs-devel libxml-devel gdk-pixbuf-devel
%description -n libgnomeprint%{major}-devel
You should install the libgnomeprint-devel package if you would like to develop
GNOME applications that will use the GNOME printing facilities. You don't need
to install the libgnomeprint-devel package if you just want to use the GNOME
desktop environment.



%prep
%setup -q

%patch1 -p1

%build
%configure 

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%{find_lang} %{name}

(cd fonts
%makeinstall_std
)

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/fonts
touch $RPM_BUILD_ROOT%{_sysconfdir}/gnome/fonts/gnome-print-ghostscript.fontmap

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gnome-font-install --smart

# -- post scripts for lib package --
%post -n libgnomeprint%{major} -p /sbin/ldconfig
%postun -n libgnomeprint%{major} -p /sbin/ldconfig


%files -f %{name}.lang
# -- Main Package --
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%dir %{_sysconfdir}/gnome/fonts
%ghost %config(noreplace) %{_sysconfdir}/gnome/fonts/*
%{_bindir}/*
%dir %{_datadir}/fonts/afms
%{_datadir}/fonts/afms/adobe
%{_datadir}/gnome/fonts
%dir %{_datadir}/gnome-print
%dir %{_datadir}/gnome-print/profiles
%config(noreplace) %{_datadir}/gnome-print/profiles/*


# -- Lib Package --
%files -n libgnomeprint%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

# -- Devel Package --
%files -n libgnomeprint%{major}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/gnome-1.0/*


%changelog
* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.35-@2mdk
- merged Basque translation

* Tue Jan 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35-1mdk
- Release 0.35

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.34-1mdk
- Release 0.34
- Switch to implicit dependencies

* Fri Dec 14 2001 Stefan van der Eijk <stefan@eijk.nu> 0.31-4mdk
- %%{_includedir}/* --> %%{_includedir}/gnome-1.0/*

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.31-3mdk
- lib package now requires main package (should fix non working GNOME applications
  when only lib was installed)
- Fix reference directory in .la

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.31-2mdk
- Oops, fix release to 2mdk
- Fix dependency of devel package

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.31-1mdk
- Release 0.31

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.29-2mdk
- BuildRequires: gdk-pixbuf-devel
- Copyright --> License
- Removed redundant BuildRequires

* Thu Jun  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.29-1mdk
- Release 0.29
- Remove patch0 (gnome-print should now generate good PS)
- Remove patch1 (merged upstream)

* Tue Apr 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.28-2mdk
- Patch1 to remove warnings about missing includes
- Patch0 to better comply with Postscript specification

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.28-1mdk
- Release 0.28

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.27-1mdk
- Release 0.27

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.26-2mdk
- Add prereq dependency of gnome-print on libgnomeprint%%{major}

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.26-1mdk
- Release 0.26
- Correct path of ghostscript fonts

* Mon Dec  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.25-3mdk
- added obsoletes gnome-print-devel for upgrades (weird !)

* Mon Dec  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.25-2mdk
- "libification"

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.25-1mdk
- bump up version for gnumeric.
- for the file list use a macro to represent version.

* Wed Oct 11 2000 Daouda LO <daouda@mandrakesoft.com> 0.24-1mdk
- release

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.20-5mdk
- fixed langs
- removed %config for postscript profile

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.20-4mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-3mdk
- Rebuild to remove dependency on alsa

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.20-2mdk
- BM + macrozification.

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.20-1mdk
- upgrading to helix version 0.20

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-2mdk
- fixed group, /me really-stupid

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-1mdk
- took srpm from Helix [grrr.. no changelog, why?]
